XFcPrimitiveDrawLinearGradientFiller class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcPrimitiveDrawLinearGradientFiller Class Reference

Linear gradient filler. More...

Inheritance diagram for XFcPrimitiveDrawLinearGradientFiller:

[legend]
Collaboration diagram for XFcPrimitiveDrawLinearGradientFiller:

[legend]
List of all members.

## Public Member Functions

virtual XFCIMPORT | ~XFcPrimitiveDrawLinearGradientFiller ()
| Virtual destructor.
virtual XFCIMPORT void | setGradientBase (XFcVector2 &aStart, XFcVector2 &aEnd)
| Sets the gradient vectors for the gradient.
virtual XFCIMPORT void | fill (INT32 aXStart, INT32 aXEnd, INT32 aY, UINT32 *aScanline)

## Static Public Member Functions

XFCIMPORT XFcPrimitiveDrawLinearGradientFiller * | create (XFcVector2 &aStart, XFcVector2 &aEnd)
| Creates a linear gradient that ranges from point aStart to point aEnd.

## Protected Member Functions

| XFcPrimitiveDrawLinearGradientFiller ()
| Protected constructor.
virtual void | calculateGradientTransformation ()
| Calculates the gradient transformation.

## Protected Attributes

XFcMatrix3 | mBaseTransformation
| The transformation matrix that is calculated so that a vector from aStart to aEnd maps from 0 to 1.

## Detailed Description

Linear gradient filler.

## Constructor & Destructor Documentation

virtual XFCIMPORT XFcPrimitiveDrawLinearGradientFiller::~XFcPrimitiveDrawLinearGradientFiller | ( |  | ) | `[virtual]`

| Virtual destructor.

XFcPrimitiveDrawLinearGradientFiller::XFcPrimitiveDrawLinearGradientFiller | ( |  | ) | `[protected]`

| Protected constructor.

## Member Function Documentation

virtual void XFcPrimitiveDrawLinearGradientFiller::calculateGradientTransformation | ( |  | ) | `[protected, virtual]`

| Calculates the gradient transformation. Reimplemented from XFcPrimitiveDrawGradientFiller.

XFCIMPORT XFcPrimitiveDrawLinearGradientFiller* XFcPrimitiveDrawLinearGradientFiller::create | ( | XFcVector2 & | aStart,
|  | XFcVector2 & | aEnd
| ) | `[static]`

| Creates a linear gradient that ranges from point aStart to point aEnd.

virtual XFCIMPORT void XFcPrimitiveDrawLinearGradientFiller::fill | ( | INT32 | aXStart,
|  | INT32 | aXEnd,
|  | INT32 | aY,
|  | UINT32 * | aScanline
| ) | `[virtual]`

| Fills aLength PREMULA8R8G8B8 pixels to a scanline. param aXStart the starting position on the scanline param aXEnd the ending position on the scanline param aY the y position of the scanline param aScanline the start of the scanline Implements XFcPrimitiveDrawFiller.

virtual XFCIMPORT void XFcPrimitiveDrawLinearGradientFiller::setGradientBase | ( | XFcVector2 & | aStart,
|  | XFcVector2 & | aEnd
| ) | `[virtual]`

| Sets the gradient vectors for the gradient.

## Member Data Documentation

XFcMatrix3 XFcPrimitiveDrawLinearGradientFiller::mBaseTransformation`[protected]`

| The transformation matrix that is calculated so that a vector from aStart to aEnd maps from 0 to 1.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch